package de.otto.mongodb.profiler;

import org.testng.annotations.Test;

import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.TimeUnit;

import static org.mockito.Matchers.any;
import static org.mockito.Matchers.anyLong;
import static org.mockito.Mockito.when;

@Test
public abstract class FunctionTest {

    protected static void immediateShutdown(ScheduledExecutorService... mocks) {
        for (ScheduledExecutorService mock : mocks) {
            try {
                when(mock.awaitTermination(anyLong(), any(TimeUnit.class))).thenReturn(true);
            } catch (InterruptedException e) {
                throw new RuntimeException(e);
            }
        }
    }

}
